Bug 822371 - RFE:Hide the Readonly option only for IDE disk.
RFE:Hide the Readonly option only for IDE disk.
Status: CLOSED WONTFIX
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 03:53 EDT by Daisy Wu
Modified: 2014-07-06 15:31 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 15:52:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daisy Wu 2012-05-17 03:53:58 EDT
Description of problem:
Customer can check on the Readonly option for IDE disk through virt-manager, but qemu-kvm do not support it.

Version-Release number of selected component (if applicable):
virt-manager-0.9.0-14.el6.x86_64
qemu-kvm-0.12.1.2-2.292.el6.x86_64
libvirt-0.9.10-20.el6.x86_64

# uname -a
Linux daisy.redhat.com 2.6.32-270.el6.x86_64 #1 SMP Tue May 8 21:44:43 EDT 2012 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Always.

Steps to Reproduce:
1.Prepare one normal guest.
2.Add the second IDE disk on the guest through virt-manager.
#virsh dumpxml test
...
    </disk>
    <disk type='file' device='disk'>
      <driver name='qemu' type='raw' cache='none'/>
      <source file='/var/lib/libvirt/images/disk3.img'/>
      <target dev='hda' bus='ide'/>
      <address type='drive' controller='0' bus='0' target='0' unit='0'/>
    </disk>
...

3.Check on the Readonly option for the second IDE disk and click Apply button.
4.Start the guest.
# virsh start test
error: Failed to start domain test
error: internal error process exited while connecting to monitor: char device redirected to /dev/pts/13
qemu-kvm: -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0: Can't use a read-only drive
qemu-kvm: -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0: Device 'ide-drive' could not be initialized


Actually results:
Above as.

Expected results:
Hide the Readonly option only for IDE disk.

Additional info:
It will cause some confusion, if the customer can check on this option ,but can not use it.
Comment 2 RHEL Product and Program Management 2012-07-10 02:04:33 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 RHEL Product and Program Management 2012-07-10 21:57:20 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 4 Cole Robinson 2013-08-18 15:52:44 EDT
Honestly tracking these hypervisor bits in the UI is kind of a pain, and tend to become incorrect over time. I'm fine with just letting this fail if the user tries to start a VM like that.

Note You need to log in before you can comment on or make changes to this bug.